Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster » Build-Failure with Buckminster 3.7 on Eclipse Hudson
Build-Failure with Buckminster 3.7 on Eclipse Hudson [message #663472] Tue, 05 April 2011 08:53 Go to next message
Michael Wenz is currently offline Michael Wenz
Messages: 1595
Registered: July 2009
Location: Walldorf, Germany
Senior Member
I just noticed an issue with the current Buckminster 3.7 installation on the
Eclipse Hudson. About 2 weeks ago I switched my build from Buckminster 3.6
to 3.7 and it worked until April 1st (hope this is no April Fool's joke
;-) ). From that day on the build suddenly failed with with the message that
one of our source features produced by Buckminster could not be found:
Warning: file
/opt/public/jobs/gmp-graphiti-nightly/workspace/buildroot/bu ckminster.workspace/features/org.eclipse.graphiti.sdk.featur e/feature.xml,
line 54: Feature reference 'org.eclipse.graphiti.feature.examples.source'
cannot be resolved

Inspecting the log I found two previous error entries "[Fatal Error] :1:1:
Premature end of file." without more info.

After switching back to Buckminster 3.6 the build went through again without
any further changes. I'm not sure if this is an issue in Buckminster itself
or is related to the installation on Hudson. Here are the links to the build
logs:
Using Buckminster 3.6, build fine:
https://hudson.eclipse.org/hudson/me/my-views/view/Graphiti/ job/gmp-graphiti-nightly/570/console
Using Buckminster 3.7, build broken, logging set tro debug:
https://hudson.eclipse.org/hudson/me/my-views/view/Graphiti/ job/gmp-graphiti-nightly/569/console

Michael
Re: Build-Failure with Buckminster 3.7 on Eclipse Hudson [message #663481 is a reply to message #663472] Tue, 05 April 2011 09:54 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3229
Registered: July 2009
Senior Member
Your links resulted in a 404 but this one works:

https://hudson.eclipse.org/hudson/job/gmp-graphiti-nightly/5 69/console

I don't think the warnings about the missing source features are a problem. That's just the PDE-compiler complaining
because you reference non-existent features in your workspace. This is normal when you have hard-coded references to
generated features. You will find the same warnings in the build that succeeds.

The "Fatal Error] :1 :1" is ugly, but nothing to worry about. It has been fixed and will go away when the next 3.7
milestone is released. For more info see:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=340197

The real problem seems to be related to baselines. I see lots of errors ending with:

"An API baseline has not been set for the current workspace.". They appear in the 3.6 build as well but there they are
just warnings. My guess is that PDE changed the default in 3.7 so that a missing baseline is now an error.

HTH,
Thomas Hallgren


On 2011-04-05 10:53, Michael Wenz wrote:
> I just noticed an issue with the current Buckminster 3.7 installation on the Eclipse Hudson. About 2 weeks ago I
> switched my build from Buckminster 3.6 to 3.7 and it worked until April 1st (hope this is no April Fool's joke ;-) ).
> From that day on the build suddenly failed with with the message that one of our source features produced by
> Buckminster could not be found:
> Warning: file
> /opt/public/jobs/gmp-graphiti-nightly/workspace/buildroot/bu ckminster.workspace/features/org.eclipse.graphiti.sdk.featur e/feature.xml,
> line 54: Feature reference 'org.eclipse.graphiti.feature.examples.source' cannot be resolved
>
> Inspecting the log I found two previous error entries "[Fatal Error] :1:1: Premature end of file." without more info.
>
> After switching back to Buckminster 3.6 the build went through again without any further changes. I'm not sure if this
> is an issue in Buckminster itself or is related to the installation on Hudson. Here are the links to the build logs:
> Using Buckminster 3.6, build fine:
> https://hudson.eclipse.org/hudson/me/my-views/view/Graphiti/ job/gmp-graphiti-nightly/570/console
> Using Buckminster 3.7, build broken, logging set tro debug:
> https://hudson.eclipse.org/hudson/me/my-views/view/Graphiti/ job/gmp-graphiti-nightly/569/console
>
> Michael
>
>
Re: Build-Failure with Buckminster 3.7 on Eclipse Hudson [message #663499 is a reply to message #663481] Tue, 05 April 2011 12:06 Go to previous message
Michael Wenz is currently offline Michael Wenz
Messages: 1595
Registered: July 2009
Location: Walldorf, Germany
Senior Member
Thanks, you're right. The API baseline messages are errors now. I ignored
them because I'm used to see them for quite some time now...

Thanks for your help,
Michael


"Thomas Hallgren" wrote in message news:ineoep$ktu$1@news.eclipse.org...

Your links resulted in a 404 but this one works:

https://hudson.eclipse.org/hudson/job/gmp-graphiti-nightly/5 69/console

I don't think the warnings about the missing source features are a problem.
That's just the PDE-compiler complaining
because you reference non-existent features in your workspace. This is
normal when you have hard-coded references to
generated features. You will find the same warnings in the build that
succeeds.

The "Fatal Error] :1 :1" is ugly, but nothing to worry about. It has been
fixed and will go away when the next 3.7
milestone is released. For more info see:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=340197

The real problem seems to be related to baselines. I see lots of errors
ending with:

"An API baseline has not been set for the current workspace.". They appear
in the 3.6 build as well but there they are
just warnings. My guess is that PDE changed the default in 3.7 so that a
missing baseline is now an error.

HTH,
Thomas Hallgren


On 2011-04-05 10:53, Michael Wenz wrote:
> I just noticed an issue with the current Buckminster 3.7 installation on
> the Eclipse Hudson. About 2 weeks ago I
> switched my build from Buckminster 3.6 to 3.7 and it worked until April
> 1st (hope this is no April Fool's joke ;-) ).
> From that day on the build suddenly failed with with the message that one
> of our source features produced by
> Buckminster could not be found:
> Warning: file
> /opt/public/jobs/gmp-graphiti-nightly/workspace/buildroot/bu ckminster.workspace/features/org.eclipse.graphiti.sdk.featur e/feature.xml,
> line 54: Feature reference 'org.eclipse.graphiti.feature.examples.source'
> cannot be resolved
>
> Inspecting the log I found two previous error entries "[Fatal Error] :1:1:
> Premature end of file." without more info.
>
> After switching back to Buckminster 3.6 the build went through again
> without any further changes. I'm not sure if this
> is an issue in Buckminster itself or is related to the installation on
> Hudson. Here are the links to the build logs:
> Using Buckminster 3.6, build fine:
> https://hudson.eclipse.org/hudson/me/my-views/view/Graphiti/ job/gmp-graphiti-nightly/570/console
> Using Buckminster 3.7, build broken, logging set tro debug:
> https://hudson.eclipse.org/hudson/me/my-views/view/Graphiti/ job/gmp-graphiti-nightly/569/console
>
> Michael
>
>
Previous Topic:Problem signing fragment
Next Topic:Feature Plugins not Materialized
Goto Forum:
  


Current Time: Fri Sep 19 06:03:54 GMT 2014

Powered by FUDForum. Page generated in 0.14256 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software